play.libs

## Enum WS.Scheme

- java.lang.Object
- - java.lang.Enum<WS.Scheme>
  - - play.libs.WS.Scheme

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<WS.Scheme>

Enclosing class:
  WS

    public static enum WS.Scheme
    extends java.lang.Enum<WS.Scheme>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`BASIC`
`DIGEST`
`KERBEROS`
`NTLM`
`SPNEGO`

### Method Summary

All Methods Static Methods Concrete Methods
`static WS.Scheme` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static WS.Scheme[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### BASIC

    public static final WS.Scheme BASIC

#### DIGEST

    public static final WS.Scheme DIGEST

#### NTLM

    public static final WS.Scheme NTLM

#### KERBEROS

    public static final WS.Scheme KERBEROS

#### SPNEGO

    public static final WS.Scheme SPNEGO

### Method Detail

#### values

    public static WS.Scheme[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (WS.Scheme c : WS.Scheme.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static WS.Scheme valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null